Package org.apache.cxf.common.jaxb

# Class EscapeHandlerInvocationHandler

java.lang.Object
org.apache.cxf.common.jaxb.EscapeHandlerInvocationHandler

All Implemented Interfaces:
  `InvocationHandler`

public final class EscapeHandlerInvocationHandler extends Object implements InvocationHandler

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `EscapeHandlerInvocationHandler(Object obj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object`
  `invoke(Object proxy, Method method, Object[] args)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### EscapeHandlerInvocationHandler

    public EscapeHandlerInvocationHandler(Object obj)

- ## Method Details

  - ### invoke

    public Object invoke(Object proxy, Method method, Object[] args) throws Throwable
    Specified by:
      `invoke` in interface `InvocationHandler`
    Throws:
      `Throwable`